Bug 1309540 - appliance_console option 14 doesn't start httpd
appliance_console option 14 doesn't start httpd
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
Unspecified Unspecified
high Severity medium
: GA
: 5.6.0
Assigned To: Nick Carboni
luke couzens
Depends On:
  Show dependency treegraph
Reported: 2016-02-17 23:45 EST by Paul Armstrong
Modified: 2016-07-27 09:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-01 08:26:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 2 Nick Carboni 2016-02-22 09:29:37 EST
I'm unable to reproduce this issue using build

At step 3 and 4 for me the httpd service is still running, but the UI is indeed unavailable (as it should be).

At step 5/6 the httpd service is indeed killed, but is started back up.

The kill happens here:
  (more specifically here https://github.com/ManageIQ/manageiq/blob/master/app/models/miq_server/environment_management.rb#L92)

The startup happens here:
  (specifically here https://github.com/ManageIQ/manageiq/blob/master/app/models/mixins/miq_web_server_worker_mixin.rb#L143)

Had you made any changes to the apache configuration that might prevent it from restarting?  As a start can I see the output of `journalctl -u httpd` after the service has failed to start?
Comment 3 Paul Armstrong 2016-03-07 12:23:29 EST
OK. User error. Now works for me too.

Note You need to log in before you can comment on or make changes to this bug.